#ifndef EICONENGIN_H
#define EICONENGIN_H

#include <QtGui/QIconEngine>

#include <QtGui/QIcon>
#include <QtGui/QIconEngine>
#include <QList>



class EIconEngin : public QIconEngineV2
{
public:

    EIconEngin(const QString& iconName,const QString& themName =QString());


void paint(QPainter *painter, const QRect &rect, QIcon::Mode mode, QIcon::State state);
QPixmap pixmap(const QSize &size, QIcon::Mode mode, QIcon::State state);
private:

   QString m_iconName;
  void virtual_hook(int id, void *data);

    void iconFromTheme(const QString &theme);
    void addIconFile(const QString &curPath);
//static    bool hasPathIcon(const QString &name,const QString &path);
    void ensureLoaded();
    QIcon m_icon;
    bool isfallback;
    QString m_themName;

    QList<QSize>m_availableSizes;

};
#endif // EICONENGIN_H

